OpenVDB 3.2.0

Public Types | Public Member Functions | List of all members
IdentifyIntersectingVoxels< InputTreeType > Struct Template Reference

`#include <VolumeToMesh.h>`

## Public Types
typedef InputTreeType::LeafNodeType | InputLeafNodeType
typedef InputLeafNodeType::ValueType | InputValueType
typedef InputTreeType::template ValueConverter< bool >::Type | BoolTreeType

## Public Member Functions
| IdentifyIntersectingVoxels (const InputTreeType &inputTree, const std::vector< const InputLeafNodeType *> &inputLeafNodes, BoolTreeType &intersectionTree, InputValueType iso)
| IdentifyIntersectingVoxels (IdentifyIntersectingVoxels &, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &)
void | join (const IdentifyIntersectingVoxels &rhs)

## Member Typedef Documentation

## ◆ BoolTreeType

typedef InputTreeType::template ValueConverter<bool>::Type BoolTreeType

## ◆ InputLeafNodeType

typedef InputTreeType::LeafNodeType InputLeafNodeType

## ◆ InputValueType

typedef InputLeafNodeType::ValueType InputValueType

## Constructor & Destructor Documentation

## ◆ IdentifyIntersectingVoxels() [1/2]

IdentifyIntersectingVoxels | ( | const InputTreeType & | inputTree,
|  | const std::vector< const InputLeafNodeType *> & | inputLeafNodes,
|  | BoolTreeType & | intersectionTree,
|  | InputValueType | iso
| ) |  |

## ◆ IdentifyIntersectingVoxels() [2/2]

IdentifyIntersectingVoxels | ( | IdentifyIntersectingVoxels< InputTreeType > & | rhs,
|  | tbb::split |
| ) |  |

## Member Function Documentation

## ◆ join()

void join | ( | const IdentifyIntersectingVoxels< InputTreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |

The documentation for this struct was generated from the following file:

- VolumeToMesh.h